
*{
    margin: 0;
    padding: 0;
    border: 0; 
    outline: 0;
    text-decoration: none;
    list-style: none;
    box-sizing: border-box;
}

:root{
    --color-primary: #6c63ff;
    --color-success: #00bf8e;
    --color-warning: #f7c94b;
    --color-danger: #f75842;
    --color-danger-variant: rgba(247, 88, 66, 0.4);
    --color-white: #fff;
    --color-light: rgba(255, 255, 255, 0.7);
    --color-black: #000;
    --color-bg: #1f2641;
    --color-bg1: #2e3267;
    --color-bg2: #424890;

    --container-width-1g: 80%;
    --container-width-md: 90%;
    --container-width-sm: 94%;

    --transition: all 400ms case;
}


body{
    font-family: "Montserrat", sans-serif;
    line-height: 1.7;
    color: var(--color-white);
    background: var(--color-bg);
}

.container{
    width: var(--container-width-1g);
    margin: 0 auto;
}

section{
    padding: 6rem 0;
}

section h2{
    text-align: center;
    margin-bottom: 4rem;
}

h1,
h2,
h3,
h4,
h5{
    line-height: 1.2;
}

h1{
    font-size: 2.4rem;
}

h2{
    font-size: 2rem;
}

h3{
    font-size: 1.6rem;
}

h4{
    font-size: 1.3rem;
}

a{
    color: var(--color-white);
}

img{
    width: 100%;
    display: block;
    object-fit: cover;
}

.btn{
    display: inline-block;
    background: var(--color-success);
    color: var(--color-white);
    padding: 1rem 2rem;
    border: 1px solid transparent;
    font-weight: 500;
    transition: var(--transition);
}

.btn:hover{
    background: transparent;
    color: var(--color-white);
    border-color: var(--color-white);
}

.btn-primary{
    background: var(--color-success);
    color: var(--color-white);
    padding: 10px 20px; /* Add padding to the button */
    background-color: var(--color-success); /* Button background color */
    color: var(--color-white); /* Button text color */
    text-decoration: none; /* Remove underline */
    border-radius: 5px; /* Rounded corners */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2); /* Shadow for the button */
    transition: background-color 0.3s ease; /* Smooth hover transition */
    align-self: center; /* Center the button horizontally */
}



/********************************************************************************/
    /* NAV-BAR */
/********************************************************************************/

nav{
    background: transparent;
    width: 100vw;
    height: 5rem;
    position: fixed;
    top: 0;
    z-index: 11;
}


/*change navbar styles on scroll using javascript*/
.window-scroll{
    background: var(--color-primary);
    box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.5);
}


.nav_container{
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

nav button{
    display: none;
}

.nav_menu{
    display: flex;
    align-items: center;
    gap: 4rem;
}

.nav_menu a{
    font-size: 1.1rem;
    transition: all 300ms ease-in;
}

.nav_menu a:hover{
    color: orange;
    text-decoration: underline;
}






/********************************************************************************/
    /* HEADER */
/********************************************************************************/

header{
    position: relative;
    top: 5rem;
    overflow: hidden;
    height: 70vh;
    margin-bottom: 5rem;
}

.header_container{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 5rem;
    height: 100%;
}

.header_left p{
    margin: 1rem 0 2.4rem;
}

.header_right-image video {
    width: 100%;
    height: auto;
    max-width: 100%;
    max-height: 100%; /* Ensures the video fits within the container */
    object-fit: cover; /* Ensures the video covers the container proportionally */
    border-radius: 5px; /* Optional: gives the video rounded corners if needed */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2); /* Optional: adds a shadow for better visual appeal */
}


/********************************************************************************/
    /* CATEGORIES */
/********************************************************************************/

.categories{
    background: var(--color-bg1);
    height: 32rem;
}

.categories h1{
    line-height: 1;
    margin-bottom: 3rem;
}

.categories_container{
    display: grid;
    grid-template-columns: 40% 60%;
    gap: 4rem;
}

.categories_left{
    margin-right: 4rem;
}

.categories_left p {
    margin: 1rem 0 3rem;
    
}

.categories_right{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
}



.category{
    background: var(--color-bg2);
    padding: 2rem;
    border-radius: 2rem;
    transition: var(--transition);
}

.category:hover{
    box-shadow: 0 3rem 3rem rgba(0, 0, 0, 0.3);
    z-index: 1;
}

.category:nth-child(2) .category_icon{
    background: var(--color-danger);
}

.category:nth-child(3) .category_icon{
    background: var(--color-success);
}

.category:nth-child(4) .category_icon{
    background: var(--color-warning);
}

.category:nth-child(5) .category_icon{
    background: var(--color-success);
}


.category_icon{
    background: var(--color-primary);
    padding: 0.7rem;
    border-radius: 0.9rem;
}

.category h5{
    margin: 2rem 0 1rem;
}

.category h4{
    margin: 0rem 0 0rem;
    color: orange;
    font-size: 1.1rem;
}

.category p{
    font-size: 0.9rem;
}





/********************************************************************************/
    /* COURSES */
/********************************************************************************/

.courses {
    margin-top: 0rem;
}

.courses_container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
}

.course {
    background: var(--color-bg1);
    text-align: center;
    border: 1px solid transparent;
    transition: var(--transition);
    display: flex; /* Make the course a flex container */
    flex-direction: column; /* Arrange children vertically */
    justify-content: space-between; /* Space out the content */
}

.course:hover {
    background: transparent;
    border-color: var(--color-primary);
}

.course_image {
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.course_image img {
    width: 100%;
    height: auto;
    max-width: 100%;
    max-height: 350px; /* Adjust this value based on the desired image height */
    object-fit: cover; /* Ensures image covers the container proportionally */
}

.course_data {
    padding: 2rem;
    display: flex; /* Make the course data a flex container */
    flex-direction: column; /* Arrange children vertically */
    flex-grow: 1; /* Allow it to grow to fill space */
    justify-content: space-between; /* Space out the content */
}

.course_data p {
    margin: 1.2rem 0 2rem;
    font-size: 0.9rem;
}



.course_data a {
    padding: 10px 20px; /* Add padding to the button */
    background-color: var(--color-success); /* Button background color */
    color: var(--color-white); /* Button text color */
    text-decoration: none; /* Remove underline */
    border-radius: 5px; /* Rounded corners */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2); /* Shadow for the button */
    transition: background-color 0.3s ease; /* Smooth hover transition */
    align-self: center; /* Center the button horizontally */
}

.course_data a:hover {
    background-color: var(--color-bg1); /* Hover background color */
    color: var(--color-primary); /* Hover text color */
}


.course_video {
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    margin-bottom: 1rem; /* Space between video and course_data */
}

.course_video video {
    width: 100%;
    height: auto;
    max-height: 350px; /* Adjust the height to be consistent with images */
    object-fit: cover; /* Ensures the video fits within its container */
}






/********************************************************************************/
    /* FAQs */
/********************************************************************************/

.faqs{
    background: var(--color-bg1);
    box-shadow: inset 0 0 3rem rgba(0, 0, 0, 0.5);
}

.faqs_container{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
}

.faq{
    padding: 2rem;
    display: flex;
    align-items: center;
    gap: 1.4rem;
    height: fit-content;
    background-color: var(--color-primary);
    cursor: pointer;
}

.faq h4{
    font-size: 1rem;
    line-height: 2.2;
}

.faq_icon{
    align-self: flex-start;
    font-size: 1.2rem;
}

.faq p{
    margin-top: 0.8rem;
    display: none;
    height: 6rem;
}
.faq.open p{
    display: block;
    height: 6rem;
}






/********************************************************************************/
    /* STUDENT TESTIMONIALS*/
/********************************************************************************/

.testimonials_container{
    overflow-x: hidden;
    position: relative;
    margin-bottom: 5rem;
}

.testimonial{
    padding-top: 2rem;
}

.avatar{
    width: 9rem;
    height: 9rem;
    border-radius: 50%;
    overflow: hidden;
    margin: 0 auto 1rem;
    border: 1rem solid var(--color-bg1);
}

.testimonial_info{
    text-align: center;
}

.testimonial_body{
    background: var(--color-primary);
    padding: 2rem;
    margin-top: 3rem;
    position: relative;
}

.testimonial_body::before{
    content: "";
    display: block;
    background: linear-gradient(
        135deg,
        transparent, 
        var(--color-primary), var(--color-primary), var(--color-primary));
    width: 3rem;
    height: 3rem;
    position: absolute;
    left: 50%;
    top: -1.5rem;
    transform: rotate(45deg);

}



/********************************************************************************/
    /* FOOTER*/
/********************************************************************************/

footer{
    background: var(--color-bg1);
    padding: 5rem;
    font-size: 0.9rem;
}

.footer_container{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 5rem;
}

.footer_container > div h4{
    margin-bottom: 1.2rem;
}

.footer_1 {
    margin: 0 0 2rem;
}

footer ul li{
    margin-bottom: 0.7rem;
}

footer ul li a:hover{
    text-decoration: underline;
}

.footer_socials{
    display: flex;
    gap: 1rem;
    font-size: 1.2rem;
    margin-top: 2rem;
}

.footer_copyright{
    text-align: center;
    margin-top: 4rem;
    padding: 1.2rem 0;
    border-top: 1px solid var(--color-bg2);
}

















/********************************************************************************/
    /* MEDIA QUERIES (laptops and more)*/
/********************************************************************************/

@media screen and (max-width: 1650px){

/**********************FAQs**********************************/

.faqs_container{
    grid-template-columns: 1fr;
}

.faq{
    padding: 1.5rem;
}

.faq p{
    margin-top: 0.8rem;
    display: none;
    height: fit-content;}

/*FAQ*/
.faq.open p{

height: fit-content;
}

    
}





/********************************************************************************/
    /* MEDIA QUERIES (TABLETS)*/
/********************************************************************************/

@media screen and (max-width: 1024px){
    .container{
        width: var(--container-width-md);
    }

    h1{
        font-size: 2.2rem;
    }

    h2{
        font-size: 1.7rem;
    }

    h3{
        font-size: 1.4rem;
    }

    h4{
        font-size: 1.2rem;
    }
    

    /**********************NAV-BAR**********************************/
    nav button{
        display: inline-block;
        background: transparent;
        font-size: 1.8rem;
        color: var(--color-white);
        cursor: pointer;
    }

    nav button#close-menu-btn{
        display: none;
    }

    .nav_menu{
        position: fixed;
        top: 5rem;
        right: 5%;
        height: fit-content;
        width: 18rem;
        flex-direction: column;
        gap: 0;
        display: none;
    }

    .nav_menu li{
        width: 100%;
        height: 5.8rem;
        animation: animateNavitems 200ms linear forwards;
        transform-origin: top right;
        opacity: 0;
    }

    .nav_menu li:nth-child(2){
        animation-delay: 200ms;
    }

    .nav_menu li:nth-child(3){
        animation-delay: 400ms;
    }

    .nav_menu li:nth-child(4){
        animation-delay: 600ms;
    }
    

    @keyframes animateNavitems{
        0%{
            transform: rotateZ(-90deg) rotateX(90deg) scale(0.1);  
        }
        100%{
            transform: rotateZ(0) rotateX(0) scale(1);
            opacity: 1;
        }

    }

    .nav_menu li a{
        background: var(--color-primary);
        box-shadow: -4rem 6rem 10rem rgba(0, 0, 0, 0.6);
        width: 100%;
        height: 100%;
        display: grid;
        place-items: center;

    }

    .nav_menu li a:hover{
        background: var(--color-bg2);
        color: var(--color-white);
    }


    /**********************HEADER**********************************/

    header{
        height: auto;
        margin-bottom: 4rem;
    }

    .header_container{
        gap: 0;
        padding-bottom: 3rem;
    }



    /**********************CATEGORY**********************************/

    .categories{
        height: auto;
    }

    .categories_container{
        grid-template-columns: 1fr;
        gap: 3rem;
    }

    .categories_left{
        margin-right: 0;
    }





    /**********************COURSES**********************************/
    .courses{
        margin-top: 0;
    }

    .courses_container{
        grid-template-columns: 1fr 1fr;
    }


    /**********************FAQs**********************************/

    .faqs_container{
        grid-template-columns: 1fr;
    }

    .faq{
        padding: 1.5rem;
    }

    .faq p{
        margin-top: 0.8rem;
        display: none;
        height: fit-content;}

    /*FAQ*/
    .faq.open p{

    height: fit-content;
    }



    /**********************FOOTER**********************************/

    .footer_container{
        grid-template-columns: 1fr 1fr;
    }

    

}




/********************************************************************************/
    /* MEDIA QUERIES (MOBILE PHONES)*/
/********************************************************************************/

@media  screen and (max-width: 600px){
    
    .container{
        width: var(--container-width-sm);
    }


    /**********************NAV-BAR**********************************/

    .nav_menu{
        right: 3%;
    }


    /**********************HEADER**********************************/
    header{
        height: 100vh;
    }

    .header_container{
        grid-template-columns: 1fr;
        text-align: center;
        margin-top: 0rem;
    }

    .header_left p{
        margin-bottom: 1.3rem;
    }




    /**********************CATEGORIES**********************************/

    .categories_left{
        text-align: center;
    }

    .categories_right{
        grid-template-columns: 1fr 1fr;
        gap: 0.7rem;
    }

    .category{
        padding: 1rem;
        border-radius: 1rem;
    }

    .category_icon{
        margin-top: 4px;
        display: inline-block;
    }



    /**********************COURSES**********************************/
    .courses_container{
        grid-template-columns: 1fr;
    }


    /**********************TESTIMONIALS**********************************/

    .testimonial_body{
         padding: 1.2rem;
    }

    /**********************FOOTER**********************************/
    .footer_container{
        grid-template-columns: 1fr;
        text-align: center;
        gap: 2rem;
    }

    .footer_1 p{
        margin: 1rem auto;
    }

    .footer_socials{
        justify-content: center;
    }


/*FAQ*/
.faq.open p{
    display: block;
    height: fit-content;
}

.faq p{
    margin-top: 0.8rem;
    display: none;
    height: fit-content;}








}



